#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-E5YS0PSvhcVFS9KT5DwHbk
key:                  ghcide-2.0.0.0-E5YS0PSvhcVFS9KT5DwHbk
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  a262b30c4bc5994bcb8c0c0d675dab75
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-E5YS0PSvhcVFS9KT5DwHbk
depends:
    Diff-0.4.1-BOxCLpHEbnv464iV7Wt9tY Glob-0.10.2-rjpmXmaPtfI0UTVqKJyHj
    aeson-2.1.2.1-3xjz2RyG2JVHhJgBzFxi7A
    aeson-pretty-0.8.10-KBD2vmYLVYKH4KLWOCci9K array-0.5.4.0
    async-2.2.5-EyV9emCuOIPGUIakwGPKTd base-4.17.2.1
    base16-bytestring-1.0.2.0-LZWoqVsRU525spGmpCza2K binary-0.8.9.1
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-GbIPZPr2YUt5gu3TjAsadi
    co-log-core-0.3.2.3-EvRUMmfcGJX95pLO1LhStY containers-0.6.7
    cryptohash-sha1-0.11.101.0-pi78Hi9zZq11wMLbgpTCw
    data-default-0.7.1.1-HuI8bY4bNR4F11jcRg6vOi deepseq-1.4.8.0
    dependent-map-0.4.0.0-UWbdwPp2B48VQmmzeGOi9
    dependent-sum-0.7.2.0-GBIA53xqzmZFql1UinYShR directory-1.3.7.1
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    enummapset-0.7.3.0-2xI40rRjsrgKWBt9IRR2De exceptions-0.10.5
    extra-1.7.16-Dogq4JQiVI0JTl9E7yM5k0 filepath-1.4.2.2
    fingertree-0.1.5.0-DZLTgxBhMurLq6qNornCOn
    focus-1.0.3.2-6PQDln0M7pc30nc6gl2rVV ghc-9.4.8 ghc-boot-9.4.8
    ghc-boot-th-9.4.8 ghc-check-0.5.0.8-ACOX2h7CVveCbYKeqWP36F
    ghc-paths-0.1.0.12-8lmZj1VFo8V7iNy4rcXCyj
    ghc-trace-events-0.1.2.9-7ocQkvnjYWsA9rDcBsLuv7
    haddock-library-1.11.0-F2ifhdxTHx5Bs8o9VYuR1T
    hashable-1.4.4.0-3P57kjJkCag7O0bwYoaxX1
    hie-bios-0.12.0-5D5XCBsd9ZiC02Ze2boxC5
    hie-compat-0.3.0.0-CbBComUrkWGfIGRN5OUf4
    hiedb-0.4.3.0-C90JQHfIMfQKtcMu6Ab6SK
    hls-graph-2.0.0.0-2fwWntrBvZaHsL84nlYZey
    hls-plugin-api-2.0.0.0-IGiAqukxjS65aDeXxEc0SS
    implicit-hie-0.1.2.7-ECr84CtVcgoKowH1obQLFX
    implicit-hie-cradle-0.5.0.1-1yVEY26ufVrHGWaa1XJanV
    lens-5.2.3-9tvnz3pLdcPH5JzlkQxTXA
    list-t-1.0.5.5-1aCFTOnbvILIZ4YnC9XY9Y
    lsp-1.6.0.0-J5ZrIY2B3yn7lxF8lzfDe0
    lsp-types-1.6.0.1-4hY9RFfJwow5nUnstGc4jR mtl-2.2.2
    opentelemetry-0.8.0-BeMORCTdDZmEKBbVijqZ2R
    optparse-applicative-0.17.1.0-3m15PZJ9R8tLZfnW85Yn0z
    parallel-3.2.2.0-KJ5o3ImR3G8wdLWLqGjpy
    prettyprinter-1.7.1-KavgWlSYS7L7YXURHbWfqH
    prettyprinter-ansi-terminal-1.1.3-Hgen3XCgk2kK5VSvwdzMmJ
    random-1.2.1.2-IN7ymD0AKvltzeAmi6gkc
    regex-tdfa-1.3.2.2-LivcOdtZX8FLXw70uGvuNe
    safe-exceptions-0.1.7.4-2aYxNbFpmMwKpdUZnREf2B
    sorted-list-0.2.2.0-KLOhmGZWmDJH27CWv49coS
    sqlite-simple-0.4.19.0-1aKfuX6a2eYJryxIl3WQAD stm-2.5.1.0
    stm-containers-1.2.1.1-Iwg5myhxqH2JSl7OhI8XKD
    syb-0.7.2.4-2WyT1tb84OB9oN2LvYBzxO text-2.0.2
    text-rope-0.3-3s3jFyKeT0fB9h47vhAzkC time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unliftio-0.2.25.1-Az2ajR7TJn65JyIPm5hx9P
    unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-4cFR6FXPxn69oePlCyMUKW
    vector-0.13.1.0-93FGbMU4lvK4yKJkYGTpJX

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

